#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'fileutils'
require 'cliner'
require 'totarxz'
require 'colours/colours_e_autoinclude.rb'
require 'extracter'

e "Now testing #{sfancy('class ToTarXz')}."
htop = '/Users/x/SRC/htop/htop-1.0.3.tar.xz'
target_dir = '/Depot/jjjj/'
FileUtils.cp(htop, target_dir)
Dir.chdir(target_dir)
target = target_dir+File.basename(htop)
e 'First extracting '+target+'.'
_ = Extracter.new target, Dir.pwd
pp Dir['*']
cliner
e sfancy(_.extracted_to?)
File.delete(target) # Kill the old archive.
e 'Now packaging up this here:'
e '  '+sfancy(target)
location = ToTarXz[target].location?
e 'It can now be found here:'
e
e '  '+sfancy(location)
e