# =========================================================================== #
# Gemspec for Project Totarxz.
# =========================================================================== #
require 'totarxz/version/version.rb'

Gem::Specification.new { |s|

  s.name        = 'totarxz'
  s.version     = ToTarXz::VERSION
  s.date        = Time.now.strftime('%Y-%m-%d')
  
  s.summary = <<-EOF

  This library is called totarxz. It will create a .tar.xz
  file from the given input at hand.

  If you have specific suggestions to make this gem more
  useful for others, please drop me an email at:

    shevegen@gmail.com

  Thank you.

  EOF

  s.description = <<-EOF

  This library is called totarxz. It will create a .tar.xz
  file from the given input at hand.

  EOF

  s.extra_rdoc_files = %w()

  s.authors     = ['Robert A. Heiler']
  s.email       = 'shevegen@gmail.com'
  s.files       = Dir['**/*']
  s.license     = 'GPL-2.0'
  s.executables = Dir['bin/*'].map { |f| File.basename(f) }
  s.homepage    = 'https://rubygems.org/gems/totarxz'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  # ========================================================================= #
  # Dependencies for the project:
  # ========================================================================= #
  s.add_dependency 'colours'
  s.add_dependency 'opn'

}